<?php
if(!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

class plugin_zuso_ad {
	
	function getData($map,$title=''){
		global $_G;
		$uid = $_G['uid'];
		
		//隐藏广告用户组
		$group =unserialize($_G['cache']['plugin']['zuso_ad']['group']);
		if(in_array($uid,$group)){
			return false;
		}
		
		//读取数据
		$data = file_get_contents('source/plugin/zuso_ad/data.php');
		if($data == ''){
			return false;
		}else{
			$data = unserialize($data);
		}
		

		//排序
		$sort = array_column($data, 'sort');
		array_multisort($sort,SORT_ASC,$data);

		//筛选位置
		$mapData = array();
		foreach($data as $key=>$val){
			if($val['map'] == $map && $val['isShow']==1){
				$mapData[] = $val;
			}
		}
		
		//匹配关键词
		$keyData = array();
		if($title == ''){
			$title = $_G['forum_thread']['subject'];
		}
		foreach($mapData as $k=>$v){
			if($v['key'] == ''){
				$keyData[] = $v;
			}else{
				$v['key'] = explode('|',$v['key']);
				foreach($v['key'] as $kk=>$kv){
					if(preg_match('/'.$kv.'/',$title)){
						$keyData[] = $v;
					}
				}
			}	
		}

		if(count($keyData) == 0){
			return false;
		}

		return $keyData;
	}

}

class plugin_zuso_ad_forum extends plugin_zuso_ad{
	//帖子顶部
	function viewthread_top(){
		$data = $this->getData('artToppc');
		if($data == false){return '';}
		
		global $_G;
		$custom = $_G['cache']['plugin']['zuso_ad']['custom'];
		include template('zuso_ad:pc/code');
		return $code;
		
	}
	
	//帖子底部
	function viewthread_postsightmlafter(){
		$data = $this->getData('artBottompc');
		if($data == false){return '';}
		
		global $_G;
		$custom = $_G['cache']['plugin']['zuso_ad']['custom'];
		include template('zuso_ad:pc/code');
		return array($code);
    }
}

class plugin_zuso_ad_portal extends plugin_zuso_ad{
	
	//文章顶部
	function view_article_top(){
		global $_G;
		
		if($_GET['mod'] == 'view'){
			$title = $data = DB::fetch_first('SELECT title FROM %t WHERE aid=%d',array('portal_article_title',$_GET['aid']))['title'];
			$data = $this->getData('wzToppc',$title);
			if($data == false){return '';}
			
			global $_G;
			$custom = $_G['cache']['plugin']['zuso_ad']['custom'];
			include template('zuso_ad:pc/code');
			return $code;
		}
	}
	
	
	

	
	

}


?>