<?php
/**
 *  QQ:2420355482   51助手网(www.51zuso.com)
 */
if(!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('Access Denied');
}


//显示设置
function showSet($postData){
	
	$data = readData();
	foreach($data as $k=>$v){
		$value = array_merge($v, $postData['item'][$k]);
		$data[$k] = $value;
	}
	saveData($data);
}


//删除活动
function del($id){
	 $data = readData();
	 unset($data[$id]);
	 saveData($data);
	 return true;
}


//添加活动
function add($postData){
	//图片存储
	foreach($postData as $k=>$v){
		if(preg_match('/^data:image/',$v)){
			$postData[$k] = base64Img($v,'source/plugin/zuso_ad/upload/');
		}
	}
	//新窗口打开
	if(!isset($postData['target'])){$postData['target'] = 0;}
	
	$data = readData();
	if($data == ''){$data = array();}
	
	//最大键值
	$key = max(array_keys($data));
	if(count($data)>0){
		$key =$key+1;
	}
	
	
	$data[$key] = $postData;
	
	saveData($data);
}


//编辑活动（默认）
function edit($postData){
	//图片存储
	foreach($postData as $k=>$v){
		//图片存储
		if(preg_match('/^data:image/',$v)){
			$postData[$k] = base64Img($v,'source/plugin/zuso_ad/upload/');
		}
	}
	$data = readData();
	$data[$postData['id']] = array_merge($data[$postData['id']],$postData);
	
	saveData($data);
}




//存储图片
//base64_image_content base64图片
//path 存储路径
function base64Img($base64_image_content,$path){
	//匹配出图片的格式
	if (preg_match('/^(data:\s*image\/(\w+);base64,)/', $base64_image_content, $result)){
		$type = $result[2];
		$new_file = $path;
		
		
		
		//验证图片格式
		$allImg = array('gif','bmp','png','ico','jpg','jpeg','svg');
		if(!in_array($type,$allImg)) return false;
		
		if($type == 'jpeg'){$type = 'jpg';}
		
		if(!file_exists($new_file)){
			//检查是否有该文件夹，如果没有就创建，并给予最高权限
			mkdir($new_file, 0700);
		}
		$new_file = $new_file.uniqid().'.'.$type;
		if (file_put_contents($new_file, base64_decode(str_replace($result[1], '', $base64_image_content)))){
			return $new_file;
		}else{
			return false;
		}
	}else{
		return false;
	}
}

//列表数据
function listData(){
	$data = file_get_contents('source/plugin/zuso_ad/data.php'); 
	if($data == ''){
		$data = array();
	}else{
		$data = unserialize($data);
	}
	foreach($data as $k=>$v){
		$v['id'] = $k;
		$data[$k]=$v;
	}
	
	$sort = array_column($data, 'sort');
	array_multisort($sort,SORT_ASC,$data);
	
	return $data;
}
//读取数据
function readData(){
	$data = file_get_contents('source/plugin/zuso_ad/data.php'); 
	if($data == ''){
		$data = array();
	}else{
		$data = unserialize($data);
	}
	return $data;
}




//保存数据
function saveData($data){
	$data = serialize($data);
	file_put_contents('source/plugin/zuso_ad/data.php',$data); 
	return true;
}






?>